Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDHCPARTYvalues

java.lang.Object
java.lang.Enum<CDHCPARTYvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDHCPARTYvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDHCPARTYvalues>`, `java.lang.constant.Constable`

public enum CDHCPARTYvalues extends Enum<CDHCPARTYvalues>

Java class for CD-HCPARTYvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-HCPARTYvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="deptanatomopathology"/>
         <enumeration value="deptanesthesiology"/>
         <enumeration value="deptbacteriology"/>
         <enumeration value="deptcardiology"/>
         <enumeration value="deptdermatology"/>
         <enumeration value="deptdietetics"/>
         <enumeration value="deptemergency"/>
         <enumeration value="deptgastroenterology"/>
         <enumeration value="deptgeneralpractice"/>
         <enumeration value="deptgenetics"/>
         <enumeration value="deptgeriatry"/>
         <enumeration value="deptgynecology"/>
         <enumeration value="depthematology"/>
         <enumeration value="deptintensivecare"/>
         <enumeration value="deptkinesitherapy"/>
         <enumeration value="deptlaboratory"/>
         <enumeration value="deptmedicine"/>
         <enumeration value="deptmolecularbiology"/>
         <enumeration value="deptneonatalogy"/>
         <enumeration value="deptnephrology"/>
         <enumeration value="deptneurology"/>
         <enumeration value="deptnte"/>
         <enumeration value="deptnuclear"/>
         <enumeration value="deptoncology"/>
         <enumeration value="deptophtalmology"/>
         <enumeration value="deptpediatry"/>
         <enumeration value="deptpharmacy"/>
         <enumeration value="deptphysiotherapy"/>
         <enumeration value="deptpneumology"/>
         <enumeration value="deptpsychiatry"/>
         <enumeration value="deptradiology"/>
         <enumeration value="deptradiotherapy"/>
         <enumeration value="deptrhumatology"/>
         <enumeration value="deptrheumatology"/>
         <enumeration value="deptstomatology"/>
         <enumeration value="deptsurgery"/>
         <enumeration value="depturology"/>
         <enumeration value="orghospital"/>
         <enumeration value="orginsurance"/>
         <enumeration value="orglaboratory"/>
         <enumeration value="orgpractice"/>
         <enumeration value="orgpublichealth"/>
         <enumeration value="orgpharmacy"/>
         <enumeration value="persbiologist"/>
         <enumeration value="persdentist"/>
         <enumeration value="persnurse"/>
         <enumeration value="persparamedical"/>
         <enumeration value="perspharmacist"/>
         <enumeration value="persphysician"/>
         <enumeration value="perssocialworker"/>
         <enumeration value="perstechnician"/>
         <enumeration value="persadministrative"/>
         <enumeration value="persmidwife"/>
         <enumeration value="ecaresafe"/>
         <enumeration value="application"/>
         <enumeration value="hub"/>
         <enumeration value="deptorthopedy"/>
         <enumeration value="deptalgology"/>
         <enumeration value="deptcardiacsurgery"/>
         <enumeration value="depthandsurgery"/>
         <enumeration value="deptmaxillofacialsurgery"/>
         <enumeration value="deptpediatricsurgery"/>
         <enumeration value="deptplasticandreparatorysurgery"/>
         <enumeration value="deptthoracicsurgery"/>
         <enumeration value="deptvascularsurgery"/>
         <enumeration value="deptvisceraldigestiveabdominalsurgery"/>
         <enumeration value="deptdentistry"/>
         <enumeration value="deptdiabetology"/>
         <enumeration value="deptendocrinology"/>
         <enumeration value="deptoccupationaltherapy"/>
         <enumeration value="deptmajorburns"/>
         <enumeration value="deptinfectiousdisease"/>
         <enumeration value="deptspeechtherapy"/>
         <enumeration value="deptsportsmedecine"/>
         <enumeration value="deptphysicalmedecine"/>
         <enumeration value="depttropicalmedecine"/>
         <enumeration value="deptneurosurgery"/>
         <enumeration value="deptnutritiondietetics"/>
         <enumeration value="deptobstetrics"/>
         <enumeration value="deptchildandadolescentpsychiatry"/>
         <enumeration value="deptpodiatry"/>
         <enumeration value="deptpsychology"/>
         <enumeration value="deptrevalidation"/>
         <enumeration value="deptsenology"/>
         <enumeration value="deptsocialservice"/>
         <enumeration value="deptpediatricintensivecare"/>
         <enumeration value="deptpalliativecare"/>
         <enumeration value="depttoxicology"/>
         <enumeration value="persambulancefirstaid"/>
         <enumeration value="persaudician"/>
         <enumeration value="persaudiologist"/>
         <enumeration value="perscaregiver"/>
         <enumeration value="persdietician"/>
         <enumeration value="perseducator"/>
         <enumeration value="perslogopedist"/>
         <enumeration value="persoccupationaltherapist"/>
         <enumeration value="persorthopedist"/>
         <enumeration value="persorthoptist"/>
         <enumeration value="persoptician"/>
         <enumeration value="perspharmacyassistant"/>
         <enumeration value="persphysiotherapist"/>
         <enumeration value="perspodologist"/>
         <enumeration value="perspracticalnurse"/>
         <enumeration value="perspsychologist"/>
         <enumeration value="orgprimaryhealthcarecenter"/>
         <enumeration value="guardpost"/>
         <enumeration value="groupofphysicianssameaddress"/>
         <enumeration value="groupofphysiciansdifferentaddress"/>
         <enumeration value="groupofnurses"/>
         <enumeration value="certificateholder"/>
         <enumeration value="perstrussmaker"/>
         <enumeration value="patient"/>
         <enumeration value="orgprevention"/>
         <enumeration value="persorthotist"/>
         <enumeration value="perspatientdriver"/>
         <enumeration value="perspharmacistclinicalbiologist"/>
         <enumeration value="deptnursing"/>
         <enumeration value="persoraldentalhygienist"/>
         <enumeration value="persclinicalpsychologist"/>
         <enumeration value="persclinicalorthopedagogist"/>
         <enumeration value="orgretirementhome"/>
         <enumeration value="orgrevalidationcenter"/>
         <enumeration value="orgshelteredliving"/>
         <enumeration value="orgpsychiatriccarehome"/>
         <enumeration value="orgpolyclinic"/>
         <enumeration value="persappliedpsychbachelor"/>
         <enumeration value="persfamilysciencebachelor"/>
         <enumeration value="persgerontologymaster"/>
         <enumeration value="persorthopedagogistmaster"/>
         <enumeration value="perspsychomotortherapymaster"/>
         <enumeration value="persreadaptationbachelor"/>
         <enumeration value="perspedagogybachelor"/>
         <enumeration value="deptpsychogeriatry"/>
         <enumeration value="persoptometrist"/>
         <enumeration value="persmobilityimprover"/>
         <enumeration value="persbandagistorthosiologist"/>
         <enumeration value="persprosthesiologist"/>
         <enumeration value="persshoetechnologist"/>
         <enumeration value="orgpharmacyinvoicingoffice"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION`
  `CERTIFICATEHOLDER`
  `DEPTALGOLOGY`
  `DEPTANATOMOPATHOLOGY`
  `DEPTANESTHESIOLOGY`
  `DEPTBACTERIOLOGY`
  `DEPTCARDIACSURGERY`
  `DEPTCARDIOLOGY`
  `DEPTCHILDANDADOLESCENTPSYCHIATRY`
  `DEPTDENTISTRY`
  `DEPTDERMATOLOGY`
  `DEPTDIABETOLOGY`
  `DEPTDIETETICS`
  `DEPTEMERGENCY`
  `DEPTENDOCRINOLOGY`
  `DEPTGASTROENTEROLOGY`
  `DEPTGENERALPRACTICE`
  `DEPTGENETICS`
  `DEPTGERIATRY`
  `DEPTGYNECOLOGY`
  `DEPTHANDSURGERY`
  `DEPTHEMATOLOGY`
  `DEPTINFECTIOUSDISEASE`
  `DEPTINTENSIVECARE`
  `DEPTKINESITHERAPY`
  `DEPTLABORATORY`
  `DEPTMAJORBURNS`
  `DEPTMAXILLOFACIALSURGERY`
  `DEPTMEDICINE`
  `DEPTMOLECULARBIOLOGY`
  `DEPTNEONATALOGY`
  `DEPTNEPHROLOGY`
  `DEPTNEUROLOGY`
  `DEPTNEUROSURGERY`
  `DEPTNTE`
  `DEPTNUCLEAR`
  `DEPTNURSING`
  `DEPTNUTRITIONDIETETICS`
  `DEPTOBSTETRICS`
  `DEPTOCCUPATIONALTHERAPY`
  `DEPTONCOLOGY`
  `DEPTOPHTALMOLOGY`
  `DEPTORTHOPEDY`
  `DEPTPALLIATIVECARE`
  `DEPTPEDIATRICINTENSIVECARE`
  `DEPTPEDIATRICSURGERY`
  `DEPTPEDIATRY`
  `DEPTPHARMACY`
  `DEPTPHYSICALMEDECINE`
  `DEPTPHYSIOTHERAPY`
  `DEPTPLASTICANDREPARATORYSURGERY`
  `DEPTPNEUMOLOGY`
  `DEPTPODIATRY`
  `DEPTPSYCHIATRY`
  `DEPTPSYCHOGERIATRY`
  `DEPTPSYCHOLOGY`
  `DEPTRADIOLOGY`
  `DEPTRADIOTHERAPY`
  `DEPTREVALIDATION`
  `DEPTRHEUMATOLOGY`
  `DEPTRHUMATOLOGY`
  `DEPTSENOLOGY`
  `DEPTSOCIALSERVICE`
  `DEPTSPEECHTHERAPY`
  `DEPTSPORTSMEDECINE`
  `DEPTSTOMATOLOGY`
  `DEPTSURGERY`
  `DEPTTHORACICSURGERY`
  `DEPTTOXICOLOGY`
  `DEPTTROPICALMEDECINE`
  `DEPTUROLOGY`
  `DEPTVASCULARSURGERY`
  `DEPTVISCERALDIGESTIVEABDOMINALSURGERY`
  `ECARESAFE`
  `GROUPOFNURSES`
  `GROUPOFPHYSICIANSDIFFERENTADDRESS`
  `GROUPOFPHYSICIANSSAMEADDRESS`
  `GUARDPOST`
  `HUB`
  `ORGHOSPITAL`
  `ORGINSURANCE`
  `ORGLABORATORY`
  `ORGPHARMACY`
  `ORGPHARMACYINVOICINGOFFICE`
  `ORGPOLYCLINIC`
  `ORGPRACTICE`
  `ORGPREVENTION`
  `ORGPRIMARYHEALTHCARECENTER`
  `ORGPSYCHIATRICCAREHOME`
  `ORGPUBLICHEALTH`
  `ORGRETIREMENTHOME`
  `ORGREVALIDATIONCENTER`
  `ORGSHELTEREDLIVING`
  `PATIENT`
  `PERSADMINISTRATIVE`
  `PERSAMBULANCEFIRSTAID`
  `PERSAPPLIEDPSYCHBACHELOR`
  `PERSAUDICIAN`
  `PERSAUDIOLOGIST`
  `PERSBANDAGISTORTHOSIOLOGIST`
  `PERSBIOLOGIST`
  `PERSCAREGIVER`
  `PERSCLINICALORTHOPEDAGOGIST`
  `PERSCLINICALPSYCHOLOGIST`
  `PERSDENTIST`
  `PERSDIETICIAN`
  `PERSEDUCATOR`
  `PERSFAMILYSCIENCEBACHELOR`
  `PERSGERONTOLOGYMASTER`
  `PERSLOGOPEDIST`
  `PERSMIDWIFE`
  `PERSMOBILITYIMPROVER`
  `PERSNURSE`
  `PERSOCCUPATIONALTHERAPIST`
  `PERSOPTICIAN`
  `PERSOPTOMETRIST`
  `PERSORALDENTALHYGIENIST`
  `PERSORTHOPEDAGOGISTMASTER`
  `PERSORTHOPEDIST`
  `PERSORTHOPTIST`
  `PERSORTHOTIST`
  `PERSPARAMEDICAL`
  `PERSPATIENTDRIVER`
  `PERSPEDAGOGYBACHELOR`
  `PERSPHARMACIST`
  `PERSPHARMACISTCLINICALBIOLOGIST`
  `PERSPHARMACYASSISTANT`
  `PERSPHYSICIAN`
  `PERSPHYSIOTHERAPIST`
  `PERSPODOLOGIST`
  `PERSPRACTICALNURSE`
  `PERSPROSTHESIOLOGIST`
  `PERSPSYCHOLOGIST`
  `PERSPSYCHOMOTORTHERAPYMASTER`
  `PERSREADAPTATIONBACHELOR`
  `PERSSHOETECHNOLOGIST`
  `PERSSOCIALWORKER`
  `PERSTECHNICIAN`
  `PERSTRUSSMAKER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDHCPARTYvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDHCPARTYvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDHCPARTYvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEPTANATOMOPATHOLOGY

    public static final CDHCPARTYvalues DEPTANATOMOPATHOLOGY

  - ### DEPTANESTHESIOLOGY

    public static final CDHCPARTYvalues DEPTANESTHESIOLOGY

  - ### DEPTBACTERIOLOGY

    public static final CDHCPARTYvalues DEPTBACTERIOLOGY

  - ### DEPTCARDIOLOGY

    public static final CDHCPARTYvalues DEPTCARDIOLOGY

  - ### DEPTDERMATOLOGY

    public static final CDHCPARTYvalues DEPTDERMATOLOGY

  - ### DEPTDIETETICS

    public static final CDHCPARTYvalues DEPTDIETETICS

  - ### DEPTEMERGENCY

    public static final CDHCPARTYvalues DEPTEMERGENCY

  - ### DEPTGASTROENTEROLOGY

    public static final CDHCPARTYvalues DEPTGASTROENTEROLOGY

  - ### DEPTGENERALPRACTICE

    public static final CDHCPARTYvalues DEPTGENERALPRACTICE

  - ### DEPTGENETICS

    public static final CDHCPARTYvalues DEPTGENETICS

  - ### DEPTGERIATRY

    public static final CDHCPARTYvalues DEPTGERIATRY

  - ### DEPTGYNECOLOGY

    public static final CDHCPARTYvalues DEPTGYNECOLOGY

  - ### DEPTHEMATOLOGY

    public static final CDHCPARTYvalues DEPTHEMATOLOGY

  - ### DEPTINTENSIVECARE

    public static final CDHCPARTYvalues DEPTINTENSIVECARE

  - ### DEPTKINESITHERAPY

    public static final CDHCPARTYvalues DEPTKINESITHERAPY

  - ### DEPTLABORATORY

    public static final CDHCPARTYvalues DEPTLABORATORY

  - ### DEPTMEDICINE

    public static final CDHCPARTYvalues DEPTMEDICINE

  - ### DEPTMOLECULARBIOLOGY

    public static final CDHCPARTYvalues DEPTMOLECULARBIOLOGY

  - ### DEPTNEONATALOGY

    public static final CDHCPARTYvalues DEPTNEONATALOGY

  - ### DEPTNEPHROLOGY

    public static final CDHCPARTYvalues DEPTNEPHROLOGY

  - ### DEPTNEUROLOGY

    public static final CDHCPARTYvalues DEPTNEUROLOGY

  - ### DEPTNTE

    public static final CDHCPARTYvalues DEPTNTE

  - ### DEPTNUCLEAR

    public static final CDHCPARTYvalues DEPTNUCLEAR

  - ### DEPTONCOLOGY

    public static final CDHCPARTYvalues DEPTONCOLOGY

  - ### DEPTOPHTALMOLOGY

    public static final CDHCPARTYvalues DEPTOPHTALMOLOGY

  - ### DEPTPEDIATRY

    public static final CDHCPARTYvalues DEPTPEDIATRY

  - ### DEPTPHARMACY

    public static final CDHCPARTYvalues DEPTPHARMACY

  - ### DEPTPHYSIOTHERAPY

    public static final CDHCPARTYvalues DEPTPHYSIOTHERAPY

  - ### DEPTPNEUMOLOGY

    public static final CDHCPARTYvalues DEPTPNEUMOLOGY

  - ### DEPTPSYCHIATRY

    public static final CDHCPARTYvalues DEPTPSYCHIATRY

  - ### DEPTRADIOLOGY

    public static final CDHCPARTYvalues DEPTRADIOLOGY

  - ### DEPTRADIOTHERAPY

    public static final CDHCPARTYvalues DEPTRADIOTHERAPY

  - ### DEPTRHUMATOLOGY

    public static final CDHCPARTYvalues DEPTRHUMATOLOGY

  - ### DEPTRHEUMATOLOGY

    public static final CDHCPARTYvalues DEPTRHEUMATOLOGY

  - ### DEPTSTOMATOLOGY

    public static final CDHCPARTYvalues DEPTSTOMATOLOGY

  - ### DEPTSURGERY

    public static final CDHCPARTYvalues DEPTSURGERY

  - ### DEPTUROLOGY

    public static final CDHCPARTYvalues DEPTUROLOGY

  - ### ORGHOSPITAL

    public static final CDHCPARTYvalues ORGHOSPITAL

  - ### ORGINSURANCE

    public static final CDHCPARTYvalues ORGINSURANCE

  - ### ORGLABORATORY

    public static final CDHCPARTYvalues ORGLABORATORY

  - ### ORGPRACTICE

    public static final CDHCPARTYvalues ORGPRACTICE

  - ### ORGPUBLICHEALTH

    public static final CDHCPARTYvalues ORGPUBLICHEALTH

  - ### ORGPHARMACY

    public static final CDHCPARTYvalues ORGPHARMACY

  - ### PERSBIOLOGIST

    public static final CDHCPARTYvalues PERSBIOLOGIST

  - ### PERSDENTIST

    public static final CDHCPARTYvalues PERSDENTIST

  - ### PERSNURSE

    public static final CDHCPARTYvalues PERSNURSE

  - ### PERSPARAMEDICAL

    public static final CDHCPARTYvalues PERSPARAMEDICAL

  - ### PERSPHARMACIST

    public static final CDHCPARTYvalues PERSPHARMACIST

  - ### PERSPHYSICIAN

    public static final CDHCPARTYvalues PERSPHYSICIAN

  - ### PERSSOCIALWORKER

    public static final CDHCPARTYvalues PERSSOCIALWORKER

  - ### PERSTECHNICIAN

    public static final CDHCPARTYvalues PERSTECHNICIAN

  - ### PERSADMINISTRATIVE

    public static final CDHCPARTYvalues PERSADMINISTRATIVE

  - ### PERSMIDWIFE

    public static final CDHCPARTYvalues PERSMIDWIFE

  - ### ECARESAFE

    public static final CDHCPARTYvalues ECARESAFE

  - ### APPLICATION

    public static final CDHCPARTYvalues APPLICATION

  - ### HUB

    public static final CDHCPARTYvalues HUB

  - ### DEPTORTHOPEDY

    public static final CDHCPARTYvalues DEPTORTHOPEDY

  - ### DEPTALGOLOGY

    public static final CDHCPARTYvalues DEPTALGOLOGY

  - ### DEPTCARDIACSURGERY

    public static final CDHCPARTYvalues DEPTCARDIACSURGERY

  - ### DEPTHANDSURGERY

    public static final CDHCPARTYvalues DEPTHANDSURGERY

  - ### DEPTMAXILLOFACIALSURGERY

    public static final CDHCPARTYvalues DEPTMAXILLOFACIALSURGERY

  - ### DEPTPEDIATRICSURGERY

    public static final CDHCPARTYvalues DEPTPEDIATRICSURGERY

  - ### DEPTPLASTICANDREPARATORYSURGERY

    public static final CDHCPARTYvalues DEPTPLASTICANDREPARATORYSURGERY

  - ### DEPTTHORACICSURGERY

    public static final CDHCPARTYvalues DEPTTHORACICSURGERY

  - ### DEPTVASCULARSURGERY

    public static final CDHCPARTYvalues DEPTVASCULARSURGERY

  - ### DEPTVISCERALDIGESTIVEABDOMINALSURGERY

    public static final CDHCPARTYvalues DEPTVISCERALDIGESTIVEABDOMINALSURGERY

  - ### DEPTDENTISTRY

    public static final CDHCPARTYvalues DEPTDENTISTRY

  - ### DEPTDIABETOLOGY

    public static final CDHCPARTYvalues DEPTDIABETOLOGY

  - ### DEPTENDOCRINOLOGY

    public static final CDHCPARTYvalues DEPTENDOCRINOLOGY

  - ### DEPTOCCUPATIONALTHERAPY

    public static final CDHCPARTYvalues DEPTOCCUPATIONALTHERAPY

  - ### DEPTMAJORBURNS

    public static final CDHCPARTYvalues DEPTMAJORBURNS

  - ### DEPTINFECTIOUSDISEASE

    public static final CDHCPARTYvalues DEPTINFECTIOUSDISEASE

  - ### DEPTSPEECHTHERAPY

    public static final CDHCPARTYvalues DEPTSPEECHTHERAPY

  - ### DEPTSPORTSMEDECINE

    public static final CDHCPARTYvalues DEPTSPORTSMEDECINE

  - ### DEPTPHYSICALMEDECINE

    public static final CDHCPARTYvalues DEPTPHYSICALMEDECINE

  - ### DEPTTROPICALMEDECINE

    public static final CDHCPARTYvalues DEPTTROPICALMEDECINE

  - ### DEPTNEUROSURGERY

    public static final CDHCPARTYvalues DEPTNEUROSURGERY

  - ### DEPTNUTRITIONDIETETICS

    public static final CDHCPARTYvalues DEPTNUTRITIONDIETETICS

  - ### DEPTOBSTETRICS

    public static final CDHCPARTYvalues DEPTOBSTETRICS

  - ### DEPTCHILDANDADOLESCENTPSYCHIATRY

    public static final CDHCPARTYvalues DEPTCHILDANDADOLESCENTPSYCHIATRY

  - ### DEPTPODIATRY

    public static final CDHCPARTYvalues DEPTPODIATRY

  - ### DEPTPSYCHOLOGY

    public static final CDHCPARTYvalues DEPTPSYCHOLOGY

  - ### DEPTREVALIDATION

    public static final CDHCPARTYvalues DEPTREVALIDATION

  - ### DEPTSENOLOGY

    public static final CDHCPARTYvalues DEPTSENOLOGY

  - ### DEPTSOCIALSERVICE

    public static final CDHCPARTYvalues DEPTSOCIALSERVICE

  - ### DEPTPEDIATRICINTENSIVECARE

    public static final CDHCPARTYvalues DEPTPEDIATRICINTENSIVECARE

  - ### DEPTPALLIATIVECARE

    public static final CDHCPARTYvalues DEPTPALLIATIVECARE

  - ### DEPTTOXICOLOGY

    public static final CDHCPARTYvalues DEPTTOXICOLOGY

  - ### PERSAMBULANCEFIRSTAID

    public static final CDHCPARTYvalues PERSAMBULANCEFIRSTAID

  - ### PERSAUDICIAN

    public static final CDHCPARTYvalues PERSAUDICIAN

  - ### PERSAUDIOLOGIST

    public static final CDHCPARTYvalues PERSAUDIOLOGIST

  - ### PERSCAREGIVER

    public static final CDHCPARTYvalues PERSCAREGIVER

  - ### PERSDIETICIAN

    public static final CDHCPARTYvalues PERSDIETICIAN

  - ### PERSEDUCATOR

    public static final CDHCPARTYvalues PERSEDUCATOR

  - ### PERSLOGOPEDIST

    public static final CDHCPARTYvalues PERSLOGOPEDIST

  - ### PERSOCCUPATIONALTHERAPIST

    public static final CDHCPARTYvalues PERSOCCUPATIONALTHERAPIST

  - ### PERSORTHOPEDIST

    public static final CDHCPARTYvalues PERSORTHOPEDIST

  - ### PERSORTHOPTIST

    public static final CDHCPARTYvalues PERSORTHOPTIST

  - ### PERSOPTICIAN

    public static final CDHCPARTYvalues PERSOPTICIAN

  - ### PERSPHARMACYASSISTANT

    public static final CDHCPARTYvalues PERSPHARMACYASSISTANT

  - ### PERSPHYSIOTHERAPIST

    public static final CDHCPARTYvalues PERSPHYSIOTHERAPIST

  - ### PERSPODOLOGIST

    public static final CDHCPARTYvalues PERSPODOLOGIST

  - ### PERSPRACTICALNURSE

    public static final CDHCPARTYvalues PERSPRACTICALNURSE

  - ### PERSPSYCHOLOGIST

    public static final CDHCPARTYvalues PERSPSYCHOLOGIST

  - ### ORGPRIMARYHEALTHCARECENTER

    public static final CDHCPARTYvalues ORGPRIMARYHEALTHCARECENTER

  - ### GUARDPOST

    public static final CDHCPARTYvalues GUARDPOST

  - ### GROUPOFPHYSICIANSSAMEADDRESS

    public static final CDHCPARTYvalues GROUPOFPHYSICIANSSAMEADDRESS

  - ### GROUPOFPHYSICIANSDIFFERENTADDRESS

    public static final CDHCPARTYvalues GROUPOFPHYSICIANSDIFFERENTADDRESS

  - ### GROUPOFNURSES

    public static final CDHCPARTYvalues GROUPOFNURSES

  - ### CERTIFICATEHOLDER

    public static final CDHCPARTYvalues CERTIFICATEHOLDER

  - ### PERSTRUSSMAKER

    public static final CDHCPARTYvalues PERSTRUSSMAKER

  - ### PATIENT

    public static final CDHCPARTYvalues PATIENT

  - ### ORGPREVENTION

    public static final CDHCPARTYvalues ORGPREVENTION

  - ### PERSORTHOTIST

    public static final CDHCPARTYvalues PERSORTHOTIST

  - ### PERSPATIENTDRIVER

    public static final CDHCPARTYvalues PERSPATIENTDRIVER

  - ### PERSPHARMACISTCLINICALBIOLOGIST

    public static final CDHCPARTYvalues PERSPHARMACISTCLINICALBIOLOGIST

  - ### DEPTNURSING

    public static final CDHCPARTYvalues DEPTNURSING

  - ### PERSORALDENTALHYGIENIST

    public static final CDHCPARTYvalues PERSORALDENTALHYGIENIST

  - ### PERSCLINICALPSYCHOLOGIST

    public static final CDHCPARTYvalues PERSCLINICALPSYCHOLOGIST

  - ### PERSCLINICALORTHOPEDAGOGIST

    public static final CDHCPARTYvalues PERSCLINICALORTHOPEDAGOGIST

  - ### ORGRETIREMENTHOME

    public static final CDHCPARTYvalues ORGRETIREMENTHOME

  - ### ORGREVALIDATIONCENTER

    public static final CDHCPARTYvalues ORGREVALIDATIONCENTER

  - ### ORGSHELTEREDLIVING

    public static final CDHCPARTYvalues ORGSHELTEREDLIVING

  - ### ORGPSYCHIATRICCAREHOME

    public static final CDHCPARTYvalues ORGPSYCHIATRICCAREHOME

  - ### ORGPOLYCLINIC

    public static final CDHCPARTYvalues ORGPOLYCLINIC

  - ### PERSAPPLIEDPSYCHBACHELOR

    public static final CDHCPARTYvalues PERSAPPLIEDPSYCHBACHELOR

  - ### PERSFAMILYSCIENCEBACHELOR

    public static final CDHCPARTYvalues PERSFAMILYSCIENCEBACHELOR

  - ### PERSGERONTOLOGYMASTER

    public static final CDHCPARTYvalues PERSGERONTOLOGYMASTER

  - ### PERSORTHOPEDAGOGISTMASTER

    public static final CDHCPARTYvalues PERSORTHOPEDAGOGISTMASTER

  - ### PERSPSYCHOMOTORTHERAPYMASTER

    public static final CDHCPARTYvalues PERSPSYCHOMOTORTHERAPYMASTER

  - ### PERSREADAPTATIONBACHELOR

    public static final CDHCPARTYvalues PERSREADAPTATIONBACHELOR

  - ### PERSPEDAGOGYBACHELOR

    public static final CDHCPARTYvalues PERSPEDAGOGYBACHELOR

  - ### DEPTPSYCHOGERIATRY

    public static final CDHCPARTYvalues DEPTPSYCHOGERIATRY

  - ### PERSOPTOMETRIST

    public static final CDHCPARTYvalues PERSOPTOMETRIST

  - ### PERSMOBILITYIMPROVER

    public static final CDHCPARTYvalues PERSMOBILITYIMPROVER

  - ### PERSBANDAGISTORTHOSIOLOGIST

    public static final CDHCPARTYvalues PERSBANDAGISTORTHOSIOLOGIST

  - ### PERSPROSTHESIOLOGIST

    public static final CDHCPARTYvalues PERSPROSTHESIOLOGIST

  - ### PERSSHOETECHNOLOGIST

    public static final CDHCPARTYvalues PERSSHOETECHNOLOGIST

  - ### ORGPHARMACYINVOICINGOFFICE

    public static final CDHCPARTYvalues ORGPHARMACYINVOICINGOFFICE

- ## Method Details

  - ### values

    public static CDHCPARTYvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDHCPARTYvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDHCPARTYvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.